"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCoverage = exports.getCurrentApiVersion = void 0;
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const got_1 = require("got");
const getCurrentApiVersion = async () => {
    return JSON.parse((await (0, got_1.default)('https://mdcoverage.secure.force.com/services/apexrest/report')).body).versions.selected;
};
exports.getCurrentApiVersion = getCurrentApiVersion;
const getCoverage = async (apiVersion) => JSON.parse(
// this is a constant offset between each apiVersion and the url.
// ex: v55=na46, v54=na45, etc.
(await (0, got_1.default)(`https://na${apiVersion - 9}.test1.pc-rnd.salesforce.com/mdcoverage/api.jsp`)).body);
exports.getCoverage = getCoverage;
//# sourceMappingURL=coverage.js.map